diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 9ffe1a8..1615264 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -19913,7 +19913,7 @@ EllipticFunctionsUnivariateTaylorSeries(Coef,UTS):
  
     sncndn(z,k) ==
       empty? z => [0 :: ST,1 :: ST,1::ST]
-      frst z = 0 => YS(sncndnre(k,#1,deriv z,-1),3)
+      frst z = 0 => YS(x +-> sncndnre(k,x,deriv z,-1),3)
       error "ELFUTS:sncndn: constant coefficient should be 0"
     sn(x,k)  == series sncndn.(coefficients x,k).1
     cn(x,k)  == series sncndn.(coefficients x,k).2
diff --git a/changelog b/changelog
index c180ae0..1cf5cb6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090517 tpd src/axiom-website/patches.html 20090517.05.tpd.patch
+20090517 tpd books/bookvol10.4 ELFUTS +-> conversion
 20090517 tpd src/axiom-website/patches.html 20090517.04.tpd.patch
 20090517 tpd books/bookvol10.3 ROIRC +-> conversion
 20090517 tpd src/axiom-website/patches.html 20090517.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6d0b330..090e519 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1336,5 +1336,7 @@ bookvol10.3 RULE +-> conversion<br/>
 bookvol10.4 RDEEF +-> conversion<br/>
 <a href="patches/20090517.04.tpd.patch">20090517.04.tpd.patch</a>
 bookvol10.3 ROIRC +-> conversion<br/>
+<a href="patches/20090517.05.tpd.patch">20090517.05.tpd.patch</a>
+bookvol10.4 ELFUTS +-> conversion<br/>
  </body>
 </html>
